%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  testCompareR
%global packver   1.1.0
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          1.1.0
Release:          1%{?dist}%{?buildtag}
Summary:          Comparing Two Diagnostic Tests with Dichotomous Results using Paired Data

License:          GPL-3
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 2.10
Requires:         R-core >= 2.10
BuildArch:        noarch

%description
Provides a method for comparing the results of two binary diagnostic tests
using paired data. Users can rapidly perform descriptive and inferential
statistics in a single function call. Options permit users to select which
parameters they are interested in comparing and methods for correction for
multiple comparisons. Confidence intervals are calculated using the
methods with the best coverage. Hypothesis tests use the methods with the
best asymptotic performance. A summary of the methods is available in
Rold√°n-Nofuentes (2020) <doi:10.1186/s12874-020-00988-y>. This package is
targeted at clinical researchers who want to rapidly and effectively
compare results from binary diagnostic tests.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
